import { ProjectTarget } from '@expo/config';
import { Command } from 'commander';
declare type Options = {
    outputDir: string;
    assetUrl: string;
    publicUrl?: string;
    mergeSrcUrl: string[];
    mergeSrcDir: string[];
    dev: boolean;
    clear: boolean;
    quiet: boolean;
    target?: ProjectTarget;
    dumpAssetmap: boolean;
    dumpSourcemap: boolean;
    maxWorkers?: number;
    force: boolean;
};
export declare function getConflictsForDirectory(projectRoot: string, tolerableFiles: string[]): string[];
export declare function assertFolderEmptyAsync({ projectRoot, folderName, overwrite, }: {
    projectRoot: string;
    folderName?: string;
    overwrite: boolean;
}): Promise<boolean>;
export declare function promptPublicUrlAsync(): Promise<string>;
export declare function ensurePublicUrlAsync(url: any, isDev?: boolean): Promise<string>;
export declare function collectMergeSourceUrlsAsync(projectDir: string, mergeSrcUrl: string[]): Promise<string[]>;
export declare function action(projectDir: string, options: Options): Promise<void>;
export default function (program: Command): void;
export {};
